-- the CASE statement is used for tests
SELECT vend_id, COUNT(*) AS numberProducts ,
	CASE 
		WHEN COUNT(*) >3
			THEN 'Excellent' 
        WHEN COUNT(*) >2
			THEN 'Average'
		ELSE 'Below'
    END AS MetTarget
FROM Products
GROUP BY vend_id
